%define upstream_name    Sub-Exporter
%define upstream_version 0.987

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A sophisticated exporter for custom-built routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList) >= 0.100.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Params::Util) >= 0.140.0
BuildRequires: perl(Sub::Install) >= 0.920.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description 
This module allows to (re)name a sub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{makeinstall_std}


%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sub
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.987.0-7pclos2017
- rebuild against updates

